Skip to main content
DELETE
/
notifications
/
v1
/
preferences
/
mute
Unmute notifications for conversations
curl --request DELETE \
  --url https://{appId}.api-{region}.cometchat.io/v3/notifications/v1/preferences/mute \
  --header 'Content-Type: application/json' \
  --header 'apikey: <api-key>' \
  --data '
{
  "conversations": [
    {
      "id": "<string>"
    }
  ]
}
'
import requests

url = "https://{appId}.api-{region}.cometchat.io/v3/notifications/v1/preferences/mute"

payload = { "conversations": [{ "id": "<string>" }] }
headers = {
"apikey": "<api-key>",
"Content-Type": "application/json"
}

response = requests.delete(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'DELETE',
headers: {apikey: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({conversations: [{id: '<string>'}]})
};

fetch('https://{appId}.api-{region}.cometchat.io/v3/notifications/v1/preferences/mute', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "success": true
  }
}
For the complete error reference, see Error Guide.

Authorizations

apikey
string
header
required

API Key with fullAccess scope(i.e. Rest API Key from the Dashboard).

Query Parameters

uid
string
required

(Required) UID

Body

application/json

Unmute Conversations

conversations
object[]

Response

200 - application/json

A list of push notification's settings

data
any[]
meta
object